Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  kopieren von Elementen aus der 2ten Instance

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   kopieren von Elementen aus der 2ten Instance (704 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
WilliGo
Mitglied
Konstruktion


Sehen Sie sich das Profil von WilliGo an!   Senden Sie eine Private Message an WilliGo  Schreiben Sie einen Gästebucheintrag für WilliGo

Beiträge: 102
Registriert: 20.02.2007

Catia V5 R14 - R19
Windows 10

erstellt am: 04. Okt. 2012 17:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe eine Produktstruktur in der mehere Part´s verbaut sind, unter anderem auch mehrfach gesetzt.(Instance). Jetzt möchte ich ein Element aus einem mehrfach gesetzten Part kopieren, z.B. eine Line, und in ein neu erstelltes Part einfügen.
Das klappt soweit auch, außer mit Elemnten aus den mehrfach gesetzen Part´s.
Hier kopiert er mir immer die Line aus der ersten Instance.
Wo liegt der Fehler bzw. wie bekomme ich die Line aus der zweiten Instance.

------------------
Willi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11074
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 04. Okt. 2012 17:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WilliGo 10 Unities + Antwort hilfreich

Servus
Wie sieht den dein Code aus?

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAMiCADse
Mitglied



Sehen Sie sich das Profil von CAMiCADse an!   Senden Sie eine Private Message an CAMiCADse  Schreiben Sie einen Gästebucheintrag für CAMiCADse

Beiträge: 177
Registriert: 17.02.2006

V5,R19,SP9

erstellt am: 04. Okt. 2012 18:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WilliGo 10 Unities + Antwort hilfreich

Hallo Willi,

hier wird das Problem ausführlich diskutiert...

Gruß
CAMiCADse

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Architekt (m/w/d)

Als wachsender Generalunternehmer ist die BST 21 GmbH spezialisiert auf den Um- und Ausbau von gewerblichen Immobilien und von Objekten für den Pflegebedarf - und das bundesweit! Wir vereinen zahlreiche Gewerke unter einem Dach und bieten so unserem breit gefächerten Kundenportfolio umfassende, ganzheitliche Lösungen für individuelle Anforderungen. Unsere 45 Mitarbeiter vereinen jahrzehntelange ...

Anzeige ansehenArchitektur
WilliGo
Mitglied
Konstruktion


Sehen Sie sich das Profil von WilliGo an!   Senden Sie eine Private Message an WilliGo  Schreiben Sie einen Gästebucheintrag für WilliGo

Beiträge: 102
Registriert: 20.02.2007

Catia V5 R14 - R19
Windows 10

erstellt am: 09. Okt. 2012 12:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd

anbei einen Ausschnitt aus meinem Code mit dem ich das Element mittels einer Referenz erstelle, und ins neue Part "Test" / GeometricalSet "Ziel" einfügen möchte.

Schnipp--------------------------------
Dim UserSel
Set UserSel = CATIA.ActiveDocument.Selection
UserSel.Clear

Filter(0) = "Line"
'Filter(0) = "Body"
Vorlage.Hide
On Error Resume Next
Dim oNewPart As Document
Set oNewPart = oProds.AddNewComponent("Part", "TEST")
'---------------------------------------------------
oUserEle = UserSel.SelectElement2(Filter, "Bitte Achse selektieren", False)
'---------------------------------------------------
If oUserEle = "Normal" Then
    oUserSelName = UserSel.Item2(1).Value.Name
    nLenName = Len(UserSel.Parent.Name)
    nPos = InStr(UserSel.Parent.Name, ".")
    X = UserSel.Item2(1).Value.Name
    Z = UserSel.Item2(1).LeafProduct.Name
    Y = Mid(UserSel.Parent.Name, 1, (nLenName - 11)) '***(nPos + 2)))
    PathReferenz = Y & "/" & Z & "/!" & X
    Dim oDocS As Documents
    Set oDocS = CATIA.Documents
    Set oRef = CATIA.ActiveDocument.Product.CreateReferenceFromName(PathReference)
End If

Dim oDoc2 As Document
Set oDoc2 = oDocS.Item("TEST.CATPart")
oDoc2.Activate

Dim oPart2 As Part
Set oPart2 = oDoc2.Part
Dim oPasteObj As HybridBodies
Set oPasteObj = oPart2.HybridBodies.Item("ZIEL")

On Error Resume Next

oSelection.Clear
oSelection.Add oRef
oSelection.Copy
oSelection.Add oPasteObj
oSelection.PasteSpecial "CATPrtResultWithOutLink"

---Schnapp

Mit einem Body hat es gekappt, dort habe ich bei der Erstellung von "PathReferenz" den Zusatz " Y & "/" &" entnommen.
Den Code bereinigen, säubern ec muss ich noch.;-)

------------------
Willi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz